Saltar para o conteúdo principal

Ideogram V3 Interface

Ideogram V3 model provides advanced image generation and processing capabilities. The V3 interface differs from previous versions in parameters and usage, and this section will detail the V3 interfaces and usage examples.

V3 Gere

POST https://aihubmix.com/ideogram/v1/ideogram-v3/generate Gere images based on given prompts. The V3 model provides higher quality image generation capabilities, supporting more diverse styles and parameter controls.
prompt
string
obrigatório
Prompt for image generation
rendering_speed
string
padrão:"DEFAULT"
Rendering speed options, available TURBO, DEFAULT, QUALITY
num_images
integer
padrão:"1"
Number of images to generate, range 1-8
Gerando more images will not significantly increase the generation time
aspect_ratio
string
padrão:"1x1"
Aspect ratio for image generation, suporta a wide range of specifications
Available [‘1x3’, ‘3x1’, ‘1x2’, ‘2x1’, ‘9x16’, ‘16x9’, ‘10x16’, ‘16x10’, ‘2x3’, ‘3x2’, ‘3x4’, ‘4x3’, ‘4x5’, ‘5x4’, ‘1x1’]
The aspect ratios used in different models are different.
magic_prompt
string
padrão:"AUTO"
Prompt enhancement. Available parameters: AUTO, ON, OFF
style_type
string
padrão:"AUTO"
Style type for image generation, available AUTO, GENERAL, REALISTIC, DESIGN
Note: Compared to V2 version, the type is more focused
negative_prompt
string
Description of content you do not want to appear no image
seed
integer
Random seed, range: 0-2147483647
Do not use seed when generating multiple images, otherwise the same image will be generated
style_reference_images
file
Style reference image, can be used for style guidance

Usage Examples

V3 Remix

POST https://aihubmix.com/ideogram/v1/ideogram-v3/remix Remix images based on a reference image and prompt. The Remix function of V3 has better retention of the style and content of the original image.
prompt
string
obrigatório
Prompt for image remixing
image
file
obrigatório
Original image file
image_weight
integer
padrão:"50"
The weight of the original image, range 1-100, the larger the value, the more similar the result to the original image.
rendering_speed
string
padrão:"DEFAULT"
Rendering speed options, available TURBO, DEFAULT, QUALITY
num_images
integer
padrão:"1"
Number of images to generate, range 1-8 Gerando more images will not significantly increase the generation time
aspect_ratio
string
Aspect ratio of the output image, available [‘1x3’, ‘3x1’, ‘1x2’, ‘2x1’, ‘9x16’, ‘16x9’, ‘10x16’, ‘16x10’, ‘2x3’, ‘3x2’, ‘3x4’, ‘4x3’, ‘4x5’, ‘5x4’, ‘1x1’]
style_reference_images
file
Style reference image, can be used for style guidance
seed
integer
Random seed, range: 0-2147483647
magic_prompt
string
padrão:"AUTO"
Prompt enhancement. Available parameters: AUTO, ON, OFF
style_type
string
padrão:"AUTO"
Style type for image generation, available AUTO, GENERAL, REALISTIC, DESIGN
negative_prompt
string
Description of content you do not want to appear no image

Usage Examples

V3 Edit

POST https://aihubmix.com/ideogram/v1/ideogram-v3/edit The local editing function of V3 allows users to precisely edit specific areas of an image by providing the original image and mask, while keeping other areas unchanged.
prompt
string
obrigatório
Prompt for image editing
image
file
obrigatório
Original image file
mask
file
obrigatório
Mask image, black area represents the part to be edited, white area represents the part to be kept unchanged
rendering_speed
string
padrão:"DEFAULT"
Rendering speed options, available TURBO, DEFAULT, QUALITY
num_images
integer
padrão:"1"
Number of images to generate, range 1-8 Gerando more images will not significantly increase the generation time
aspect_ratio
string
Aspect ratio of the output image, available [‘1x3’, ‘3x1’, ‘1x2’, ‘2x1’, ‘9x16’, ‘16x9’, ‘10x16’, ‘16x10’, ‘2x3’, ‘3x2’, ‘3x4’, ‘4x3’, ‘4x5’, ‘5x4’, ‘1x1’]
seed
integer
Random seed, range: 0-2147483647
magic_prompt
string
padrão:"AUTO"
Prompt enhancement. Available parameters: AUTO, ON, OFF
style_type
string
padrão:"AUTO"
Style type for image generation, available AUTO, GENERAL, REALISTIC, DESIGN
negative_prompt
string
Description of content you do not want to appear no image

Usage Examples

V3 Replace Background

POST https://aihubmix.com/ideogram/v1/ideogram-v3/replace-background V3 的背景替换功能可以智能地识别图像的前景和背景,并根据提示词替换背景,同时保持前景对象不变。
prompt
string
obrigatório
Prompt for background replacement
image
file
obrigatório
Original image file
rendering_speed
string
padrão:"DEFAULT"
Rendering speed options, available TURBO, DEFAULT, QUALITY
num_images
integer
padrão:"1"
Number of images to generate, range 1-8 Gerando more images will not significantly increase the generation time
style_reference_images
file
Style reference image, can be used for style guidance
seed
integer
Random seed, range: 0-2147483647
magic_prompt
string
padrão:"AUTO"
Prompt enhancement. Available parameters: AUTO, ON, OFF
style_type
string
padrão:"AUTO"
Style type for image generation, available AUTO, GENERAL, REALISTIC, DESIGN

Usage Examples

For more optional parameters, consulte Ideogram AI

💰 V3 Pricing


V2 & V1 Interface Description

Ideogram AI V2 & V1 drawing interface with strong text-to-image capabilities, including generate, remix, edit, upscale, and describe functionalities.
  • Remix: Create new images based on a reference image and prompt.
  • Edit: Make local edits to specific areas of a reference image using prompts and masks.
  • Upscale: Enhance low-resolution images to high-resolution, with control over similarity and detail levels.
  • Describe: Reverse-engineering prompts to describe images.
Supported Styles:
  • AUTO: Default automatic selection
  • GENERAL: General purpose
  • REALISTIC: Realistic
  • DESIGN: Design-oriented
  • RENDER_3D: 3D rendering
  • ANIME: Anime style
  1. Available through the official AiHubMix API or Cherry Studio APP. Note que currently a proxy é obrigatório for image generation; direct connection within China will be supported no future.
  2. Cherry Studio currently only offers the Ideogram drawing (generate) interface.

Gere

POST https://aihubmix.com/ideogram/generate
Synchronously generates images based on given prompts and optional parameters. Image links have a limited validity period; if you want to keep the images, you must download and salve om.
Request Parameters
image_request
object
obrigatório
Request object for image generation
image_request.prompt
string
obrigatório
Prompt for image generation
image_request.aspect_ratio
string
padrão:"ASPECT_1_1"
Aspect ratio for image generation, determines the resolution. Cannot be used with resolution parameter.Available ratios:
  • ASPECT_1_1
  • ASPECT_3_1
  • ASPECT_1_3
  • ASPECT_3_2
  • ASPECT_2_3
  • ASPECT_4_3
  • ASPECT_3_4
  • ASPECT_16_9
  • ASPECT_9_16
  • SPECT_16_10
  • ASPECT_10_16
image_request.model
string
padrão:"V_2"
Model for generating or editing images. /generate and /remix support all model types, but /edit only suporta V_2 and V_2_TURBO.Available model versions:
  • V_1
  • V_1_TURBO
  • V_2
  • V_2_TURBO
  • V_2A
  • V_2A_TURBO
image_request.magic_prompt_option
string
padrão:"AUTO"
Prompt enhancement option. Available parameters: AUTO, ON, OFF
image_request.seed
integer
Random seed, range: 0-2147483647
image_request.style_type
string
padrão:"AUTO"
Style type used for generating images; this parameter only applies to V_2 and higher versions of the model and should not be specified in V_1 versions.Available styles:
  • AUTO
  • GENERAL
  • REALISTIC
  • DESIGN
  • RENDER_3D
  • ANIME
image_request.negative_prompt
string
Describes what you don’t want to appear no image. Only applicable to model versions V_1, V_1_TURBO, V_2, and V_2_TURBO. Descriptions no prompt take precedence over descriptions no negative prompt.
image_request.num_images
integer
padrão:"1"
Number of images to generate, range 1-8
image_request.resolution
string
Resolution for image generation (only applicable to model version 2.0, cannot be used with aspect_ratio), expressed as width x height. If not specified, aspect_ratio is used by default.

Example Calls

Response

Image(s) generated com sucesso.

Error Codes

  • 400 : Post Gere Image Request Bad Request Error
  • 401 : Post Gere Image Request Unauthorized Error
  • 422 : Post Gere Image Request Unprocessable Entity Error
  • 429 : Post Gere Image Request Too Many Requests Error

Edit

POST https://aihubmix.com/ideogram/edit Synchronously edits a specified image using the provided mask. The mask indicates which parts of the image should be edited, while the prompt and selected style type can further guide the editing direction. Supported image formats include JPEG, PNG, and WebP. Image links have a limited validity period; if you want to keep the images, you must download and salve om. Request Parameters
image_file
file
obrigatório
Original image file, suporta JPEG, PNG, and WebP formats
mask
file
obrigatório
Mask image, must meet o seguinte requirements:
  • Contains only black and white pixels, suporta RGB, RGBA, or grayscale image formats
  • Exactly the same dimensions as the original image
  • Black areas represent parts that need to be modified, white areas represent parts that need to remain unchanged
  • Cannot be pure white
  • The modified area (black part) should occupy at least 10% of the image area
prompt
string
obrigatório
Prompt for local editing
model
string
obrigatório
Model for generating or editing images. /generate and /remix support all model types, but /edit only suporta V_2 and V_2_TURBO.Available model versions:
  • V_2
  • V_2_TURBO
magic_prompt_option
string
padrão:"AUTO"
Prompt enhancement option. Available parameters: AUTO, ON, OFF
num_images
integer
padrão:"1"
Number of images to generate, range 1-8
seed
integer
Random seed, range: 0-2147483647
style_type
string
padrão:"AUTO"
Style type used for generating images; this parameter only applies to V_2 and higher versions of the model.Available styles:
  • AUTO
  • GENERAL
  • REALISTIC
  • DESIGN
  • RENDER_3D
  • ANIME

Example Calls

Response

Image edits generated com sucesso.

Error Codes

  • 400 : Post Edit Image Request Bad Request Error
  • 401 : Post Edit Image Request Unauthorized Error
  • 422 : Post Edit Image Request Unprocessable Entity Error
  • 429 : Post Edit Image Request Too Many Requests Error

Remix

POST https://aihubmix.com/ideogram/remix Fuses the provided image with given prompts and optional parameters. Input images are cropped to the selected aspect ratio before remixing. Supported image formats include JPEG, PNG, and WebP. Image links have a limited validity period; if you want to keep the images, you must download and salve om. Request Parameters
image_request
object
obrigatório
Request to generate new images using the provided image and prompt. The provided image will be cropped to match the selected output aspect ratio.
image_request.prompt
string
obrigatório
Prompt for image generation
image_request.aspect_ratio
string
padrão:"ASPECT_1_1"
Aspect ratio for image generation, determines the resolution. Cannot be used with resolution parameter.Available ratios:
  • ASPECT_1_1
  • ASPECT_3_1
  • ASPECT_1_3
  • ASPECT_3_2
  • ASPECT_2_3
  • ASPECT_4_3
  • ASPECT_3_4
  • ASPECT_16_9
  • ASPECT_9_16
  • SPECT_16_10
  • ASPECT_10_16
image_request.image_weight
integer
padrão:"50"
Reference image weight, range: 1-100
image_request.model
string
padrão:"V_2"
Model for generating or editing images. /generate and /remix support all model types, but /edit only suporta V_2 and V_2_TURBO.
image_request.negative_prompt
string
Describes what you don’t want to appear no image. Only applicable to model versions V_1, V_1_TURBO, V_2, and V_2_TURBO. Descriptions no prompt take precedence over descriptions no negative prompt.
image_request.magic_prompt_option
string
padrão:"AUTO"
Prompt enhancement option. Available parameters: AUTO, ON, OFF
image_request.num_images
integer
padrão:"1"
Number of images to generate, range: 1-8
image_request.resolution
string
Resolution for image generation (only applicable to model version 2.0, cannot be used with aspect_ratio), expressed as width x height. If not specified, aspect_ratio is used by default.
image_request.seed
integer
Random seed, range: 0-2147483647
image_request.style_type
string
padrão:"AUTO"
Style type for generated images; only applicable to V_2 and higher versions of models, should not be specified in V_1 versions.Available styles:
  • AUTO
  • GENERAL
  • REALISTIC
  • DESIGN
  • RENDER_3D
  • ANIME
image_file
file
obrigatório
Original image file, suporta JPEG, PNG, and WebP formats

Example Calls

Response

Image(s) generated com sucesso.

Error Codes

  • 400 : Post Remix Image Request Bad Request Error
  • 401 : Post Remix Image Request Unauthorized Error
  • 422 : Post Remix Image Request Unprocessable Entity Error
  • 429 : Post Remix Image Request Too Many Requests Error

Upscale

POST https://aihubmix.com/ideogram/upscale Synchronously upscales the provided image with optional prompts. Supported image formats include JPEG, PNG, and WebP. Image links have a limited validity period; if you want to keep the images, you must download and salve om. Request Parameters
image_request
object
obrigatório
Request object for upscaling the provided image with optional prompts
image_request.prompt
string
Optional prompt to guide the upscaling process
image_request.resemblance
integer
padrão:"50"
Resemblance, range: 1-100
image_request.detail
integer
padrão:"50"
Detail, range: 1-100
image_request.magic_prompt_option
string
padrão:"AUTO"
Prompt enhancement option. Available parameters: AUTO, ON, OFF
image_request.num_images
integer
padrão:"1"
Number of images to generate, range: 1-8
image_request.seed
integer
Random seed, range: 0-2147483647
image_file
file
obrigatório
Original image file, suporta JPEG, PNG, and WebP formats

Example Calls

Response

Image(s) generated com sucesso.

Error Codes

  • 400 : Post Upscale Image Request Bad Request Error
  • 401 : Post Upscale Image Request Unauthorized Error
  • 422 : Post Upscale Image Request Unprocessable Entity Error
  • 429 : Post Upscale Image Request Too Many Requests Error

Describe

POST https://aihubmix.com/ideogram/describe Analyzes and describes the uploaded image. Supported image formats include JPEG, PNG, and WebP. Request Parameters
image_file
file
obrigatório
Image file to describe, suporta JPEG, PNG, and WebP formats

Example Calls

Response

Description(s) created com sucesso.

Error Codes

  • 400 : Post Describe Request Bad Request Error
  • 422 : Post Describe Request Unprocessable Entity Error
  • 429 : Post Describe Request Too Many Requests Error

💰 V2 & V1 Pricing

Image Generation

Image Editing

Image Enhancement

Para mais detalhes, see the official documentation

Última atualização: 2026-06-01